Bug 59377 - Fix OwnPtr strict errors in RenderStyle and make StyleRareInheritedData::textShadow an OwnPtr
Summary: Fix OwnPtr strict errors in RenderStyle and make StyleRareInheritedData::text...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: James Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-25 16:09 PDT by James Robinson
Modified: 2011-04-27 00:04 PDT (History)
13 users (show)

See Also:


Attachments
Patch (8.14 KB, patch)
2011-04-25 16:10 PDT, James Robinson
no flags Details | Formatted Diff | Diff
Patch (12.81 KB, patch)
2011-04-25 21:58 PDT, James Robinson
no flags Details | Formatted Diff | Diff
Patch (19.86 KB, patch)
2011-04-26 16:43 PDT, James Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2011-04-25 16:09:32 PDT
Fix OwnPtr strict errors in RenderStyle and make StyleRareInheritedData::textShadow an OwnPtr
Comment 1 James Robinson 2011-04-25 16:10:40 PDT
Created attachment 90983 [details]
Patch
Comment 2 James Robinson 2011-04-25 16:12:17 PDT
Gonna let this one run through the EWS before landing.
Comment 3 Early Warning System Bot 2011-04-25 17:22:02 PDT
Attachment 90983 [details] did not build on qt:
Build output: http://queues.webkit.org/results/8508392
Comment 4 Build Bot 2011-04-25 17:36:50 PDT
Attachment 90983 [details] did not build on win:
Build output: http://queues.webkit.org/results/8506515
Comment 5 WebKit Review Bot 2011-04-25 18:52:47 PDT
Attachment 90983 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8504862
Comment 6 WebKit Review Bot 2011-04-25 19:00:07 PDT
Attachment 90983 [details] did not build on mac:
Build output: http://queues.webkit.org/results/8506538
Comment 7 WebKit Review Bot 2011-04-25 19:58:25 PDT
Attachment 90983 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8505698
Comment 8 Collabora GTK+ EWS bot 2011-04-25 20:46:14 PDT
Attachment 90983 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/8503868
Comment 9 James Robinson 2011-04-25 21:01:34 PDT
AnimationBase has a function ptr to the setter which now takes a PassOwnPtr<>.  I've fixed it locally, will check if it compiles now and upload a new patch.

Thanks, EWS!
Comment 10 WebKit Review Bot 2011-04-25 21:23:00 PDT
> Thanks, EWS!

You're welcome.
Comment 11 James Robinson 2011-04-25 21:58:01 PDT
Created attachment 91054 [details]
Patch
Comment 12 Eric Seidel (no email) 2011-04-25 22:01:34 PDT
Comment on attachment 91054 [details]
Patch

LGTM.
Comment 13 James Robinson 2011-04-25 22:05:22 PDT
Committed r84877: <http://trac.webkit.org/changeset/84877>
Comment 14 WebKit Review Bot 2011-04-25 22:11:09 PDT
Attachment 90983 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8505740
Comment 15 WebKit Review Bot 2011-04-25 22:44:57 PDT
http://trac.webkit.org/changeset/84877 might have broken SnowLeopard Intel Release (Tests)
Comment 16 Csaba Osztrogonác 2011-04-26 00:27:03 PDT
It make a test fail at least of on SL, GTK, Qt bots:

--- /Volumes/Data/WebKit-BuildSlave/snowleopard-intel-release-tests/build/layout-test-results/transitions/multiple-text-shadow-transition-expected.txt	2011-04-25 23:44:44.000000000 -0700
+++ /Volumes/Data/WebKit-BuildSlave/snowleopard-intel-release-tests/build/layout-test-results/transitions/multiple-text-shadow-transition-actual.txt	2011-04-25 23:44:44.000000000 -0700
@@ -1,2 +1,2 @@
 Shadowed text
-PASS: saw 5 shadows during the transition
+FAIL: saw 1 shadows during the transition
Comment 17 Csaba Osztrogonác 2011-04-26 03:38:22 PDT
(In reply to comment #15)
> http://trac.webkit.org/changeset/84877 might have broken SnowLeopard Intel Release (Tests)

Rolled out by http://trac.webkit.org/changeset/84901
Comment 18 James Robinson 2011-04-26 16:43:13 PDT
Created attachment 91178 [details]
Patch
Comment 19 James Robinson 2011-04-26 16:44:27 PDT
The test failed because I had mishandled ShadowData's linked list implementation.  This patch handles the linked list correctly (using smart pointers instead of raw ptrs + delete calls) and I've actually compiled+ran the tests with it (how novel!).
Comment 20 Eric Seidel (no email) 2011-04-26 18:12:43 PDT
Comment on attachment 91178 [details]
Patch

OK!
Comment 21 WebKit Commit Bot 2011-04-27 00:01:43 PDT
The commit-queue encountered the following flaky tests while processing attachment 91178 [details]:

http/tests/xmlhttprequest/basic-auth.html bug 51613 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 22 WebKit Commit Bot 2011-04-27 00:04:43 PDT
Comment on attachment 91178 [details]
Patch

Clearing flags on attachment: 91178

Committed r85027: <http://trac.webkit.org/changeset/85027>
Comment 23 WebKit Commit Bot 2011-04-27 00:04:50 PDT
All reviewed patches have been landed.  Closing bug.